using Prove.Proveapi;
using Prove.Proveapi.Models.Components;
using System.Collections.Generic;
var sdk = new ProveAPI(auth: "<YOUR_AUTH_HERE>");
V3VerifyRequest req = new V3VerifyRequest() {
ClientCustomerId = "e0f78bc2-f748-4eda-9d29-d756844507fc",
ClientHumanId = "aad25769-23bb-458c-80db-50296a82c91b",
ClientRequestId = "71010d88-d0e7-4a24-9297-d1be6fefde81",
EmailAddress = "ecoldman1h@storify.com",
FirstName = "Elena",
IdentityAttributes = new List<IdentityAttribute>() {
new IdentityAttribute() {
AttributeType = "walletId",
AttributeValue = "wallet123",
},
},
IpAddress = "192.168.1.1",
LastName = "Coldman",
PhoneNumber = "2001004053",
UserAgent = "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:124.0) Gecko/20100101 Firefox/124.0",
VerificationType = VerificationType.VerifiedUser,
};
var res = await sdk.V3.V3VerifyRequestAsync(req);
// handle response{
"success": "true",
"correlationId": "71010d88-d0e7-4a24-9297-d1be6fefde81",
"phoneNumber": "+15555550123",
"proveId": "a07b94ce-218c-461f-beda-d92480e40f61",
"provePhoneAlias": "SYNTHPFA00000000000000000000000000000000000000000000000000000001",
"clientRequestId": "client-synthetic-prefill-001",
"isEnrolled": true,
"identity": {
"firstName": "Sample",
"lastName": "Person",
"dateOfBirth": "1990-06-15",
"nationalId": "900-00-0000",
"emails": [
"sample.person@example.invalid",
"s.person@example.invalid"
],
"addresses": [
{
"address": "100 Synthetic St",
"extendedAddress": "Unit 1",
"city": "Exampletown",
"region": "EX",
"zipCode": "00001"
},
{
"address": "200 Placeholder Rd",
"extendedAddress": "",
"city": "Demo City",
"region": "DM",
"zipCode": "00002"
}
],
"assuranceLevel": "AL3",
"reasons": [
"AL3a"
]
},
"evaluation": {
"authentication": {
"result": "pass"
},
"identification": {
"result": "pass"
},
"risk": {
"result": "pass"
}
}
}Runs Prove verification flows in one endpoint. Set verificationType in the request body to select the flow.
using Prove.Proveapi;
using Prove.Proveapi.Models.Components;
using System.Collections.Generic;
var sdk = new ProveAPI(auth: "<YOUR_AUTH_HERE>");
V3VerifyRequest req = new V3VerifyRequest() {
ClientCustomerId = "e0f78bc2-f748-4eda-9d29-d756844507fc",
ClientHumanId = "aad25769-23bb-458c-80db-50296a82c91b",
ClientRequestId = "71010d88-d0e7-4a24-9297-d1be6fefde81",
EmailAddress = "ecoldman1h@storify.com",
FirstName = "Elena",
IdentityAttributes = new List<IdentityAttribute>() {
new IdentityAttribute() {
AttributeType = "walletId",
AttributeValue = "wallet123",
},
},
IpAddress = "192.168.1.1",
LastName = "Coldman",
PhoneNumber = "2001004053",
UserAgent = "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:124.0) Gecko/20100101 Firefox/124.0",
VerificationType = VerificationType.VerifiedUser,
};
var res = await sdk.V3.V3VerifyRequestAsync(req);
// handle response{
"success": "true",
"correlationId": "71010d88-d0e7-4a24-9297-d1be6fefde81",
"phoneNumber": "+15555550123",
"proveId": "a07b94ce-218c-461f-beda-d92480e40f61",
"provePhoneAlias": "SYNTHPFA00000000000000000000000000000000000000000000000000000001",
"clientRequestId": "client-synthetic-prefill-001",
"isEnrolled": true,
"identity": {
"firstName": "Sample",
"lastName": "Person",
"dateOfBirth": "1990-06-15",
"nationalId": "900-00-0000",
"emails": [
"sample.person@example.invalid",
"s.person@example.invalid"
],
"addresses": [
{
"address": "100 Synthetic St",
"extendedAddress": "Unit 1",
"city": "Exampletown",
"region": "EX",
"zipCode": "00001"
},
{
"address": "200 Placeholder Rd",
"extendedAddress": "",
"city": "Demo City",
"region": "DM",
"zipCode": "00002"
}
],
"assuranceLevel": "AL3",
"reasons": [
"AL3a"
]
},
"evaluation": {
"authentication": {
"result": "pass"
},
"identification": {
"result": "pass"
},
"risk": {
"result": "pass"
}
}
}Documentation Index
Fetch the complete documentation index at: https://developer.prove.com/llms.txt
Use this file to discover all available pages before exploring further.
/v3/verify, request and response fields depend on the verificationType and product flow. See the verify guides for flow-specific request and response details:The access token received from the /token endpoint. Refer to the Authentication page for more details.
The mobile phone number. US and Canada phone numbers can be passed in with or without a leading +1.
International phone numbers require a leading + followed by the country code. Use the appropriate endpoint URL
based on the region the number originates from. Acceptable characters are: alphanumeric with symbols '+'.
"2001004053"
The verification method based on the use case and authorization level. Current allowed values: "verifiedUser", "accountOpening", "humanAssurance", "prefill", "prefillForBiz".
humanAssurance, verifiedUser, accountOpening, prefill, prefillForBiz "verifiedUser"
A client-generated unique ID for a specific customer. This can be used by clients to link calls related to the same customer, across different requests or sessions. The format of this ID is defined by the client - Prove recommends using a GUID, but any format can be accepted. Prove does not offer any functionality around the Client Customer ID. Do not include personally identifiable information (PII) in this field.
"e0f78bc2-f748-4eda-9d29-d756844507fc"
An optional client-generated unique ID our Enterprise customer inputs for that consumer across business lines. If the Enterprise customer has been able to identify a consumer across business lines and has a unique identifier for the consumer, they would input this value to Prove. The format of this ID is defined by the client - Prove recommends using a GUID, but any format can be accepted. Do not include personally identifiable information (PII) in this field.
"aad25769-23bb-458c-80db-50296a82c91b"
A client-generated unique ID for a specific session. This can be used to identify specific requests. The format of this ID is defined by the client - Prove recommends using a GUID, but any format can be accepted. Do not include Personally Identifiable Information (PII) in this field.
"71010d88-d0e7-4a24-9297-d1be6fefde81"
The email address of the customer. Acceptable characters are: alphanumeric with symbols '@.+'.
"ecoldman1h@storify.com"
The first name of the individual.
"Elena"
An optional list of identity attributes
Show child attributes
[
{
"attributeType": "walletId",
"attributeValue": "wallet123"
}
]The public IP address of the session of the individual. Acceptable characters
"192.168.1.1"
The last name of the individual.
"Coldman"
The User agent of the session of the individual.
"Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:124.0) Gecko/20100101 Firefox/124.0"
Successful request.
The unique ID that Prove generates for the flow.
"713189b8-5555-4b08-83ba-75d08780aebd"
The input phone number.
"2001004053"
The result of verification. This can be "true" or "false".
"true"
Additional Identities found as part of the verification flow.
Show child attributes
The input ClientCustomerID.
"261ffa66-961a-4f90-8d93-6c85a450633d"
The input ClientHumanID.
"261ffa66-961a-4f90-8d93-6c85a450633d"
The input ClientRequestID.
"71010d88-d0e7-4a24-9297-d1be6fefde81"
The evaluation result for the policy. This will contain keys titled "authentication" and "risk" that encompass the different evaluation categories.
Show child attributes
Show child attributes
{
"emails": ["emails", "emails"],
"firstName": "Elena",
"lastName": "Coldman",
"addresses": [
{
"zipCode": "zipCode",
"address": "address",
"city": "city",
"extendedAddress": "extendedAddress",
"region": "region"
},
{
"zipCode": "zipCode",
"address": "address",
"city": "city",
"extendedAddress": "extendedAddress",
"region": "region"
}
],
"reasons": "[AL-1a] (Poor quality identity)",
"nationalId": "nationalId",
"maxAge": 25,
"minAge": 18,
"assuranceLevel": "AL-1",
"dateOfBirth": "dateOfBirth"
}IsEnrolled indicates whether the identity was successfully enrolled in Identity Manager. False when the ranking response contained no PFA (enrollment skipped) or Identity Manager failed.
A Prove-generated identifier for the consumer.
"a07b94ce-218c-461f-beda-d92480e40f61"
A persistent ID that uniquely identifies a telephone subscriber.
"4B2C41FC4VKDEO100F960011D0AD4A8050MEK19P4SF9PD23EFE27CD2C76A6FAA8375E60AC0550604F6G32D9ED60E06262CCC570F3C15F2D16900184E"
Related topics
Verified Users ConnectVerified Users VerifyVerified UsersHuman Assurance VerifyVerified Users ManageWas this page helpful?